package com.fjhx.sale.service.after;

import com.fjhx.sale.entity.after.dto.AfterSalesRecordsDto;
import com.fjhx.sale.entity.after.po.AfterSalesRecords;
import com.fjhx.sale.entity.after.vo.AfterSalesRecordsVo;
import com.ruoyi.common.core.service.BaseService;
import com.ruoyi.common.utils.wrapper.IWrapper;

import java.util.List;


/**
 * <p>
 * 售后跟进记录 服务类
 * </p>
 *
 * @author
 * @since 2024-04-07
 */
public interface AfterSalesRecordsService extends BaseService<AfterSalesRecords> {

    List<AfterSalesRecordsVo> getList(IWrapper wrapper);

    /**
     * 售后跟进记录新增
     */
    void add(AfterSalesRecordsDto afterSalesRecordsDto);

    /**
     * 售后跟进记录编辑
     */
    void edit(AfterSalesRecordsDto afterSalesRecordsDto);

    /**
     * 售后跟进记录删除
     */
    void delete(Long id);

}
