package com.fjhx.sale.entity.after.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import java.util.Date;

import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 售后明细
 * </p>
 *
 * @author
 * @since 2024-04-07
 */
@Getter
@Setter
@TableName("after_sales_detail")
public class AfterSalesDetail extends BasePo {

    /**
     * 售后id
     */
    private Long afterSalesId;

    /**
     * 产品id
     */
    private Long productId;

    /**
     * 售后数量
     */
    private BigDecimal quantity;

    /**
     * 备注
     */
    private String remark;

    /**
     * 合同产品明细id
     */
    private Long contractProductId;

    /**
     * 单价
     */
    private BigDecimal price;

    /**
     * 金额
     */
    private BigDecimal amount;

    /**
     * 售后状态 0进行中1关闭
     */
    private Integer status;

    /**
     * 合同id
     */
    private Long contractId;

}
